Please use following package for you stripe integration for your flutter apps.

flutter_stripe: ^1.0.1+1

The link is here.

This is still in beta but it works well for the common use cases without any issues.

Meantime This package supports all 6 platforms. That is one of the biggest advantage.

Thanks